#
# Conditional build:
%bcond_without	tests		# don't perform "make check"
%bcond_with	default_libpng	# don't use this libpng as default system libpng
#
Summary:	PNG library
Summary(de.UTF-8):	PNG-Library
Summary(es.UTF-8):	Biblioteca PNG
Summary(fr.UTF-8):	Librarie PNG
Summary(pl.UTF-8):	Biblioteka PNG
Summary(pt_BR.UTF-8):	Biblioteca PNG
Summary(tr.UTF-8):	PNG kitaplığı
Name:		libpng15
Version:	1.5.15
Release:	1
Epoch:		2
License:	distributable
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libpng/libpng-%{version}.tar.xz
# Source0-md5:	e3122e7b5b5c36c034a4624c65f8a9d8
Patch0:		libpng-pngminus.patch
Patch1:		http://downloads.sourceforge.net/libpng-apng/libpng-1.5.15-apng.patch.gz
# Patch1-md5:	3ae9ea7e4bd201f0b25e25cd6049b094
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	zlib-devel
Provides:	libpng(APNG) = 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

%description -l de.UTF-8
Die PNG-Library ist eine Sammlung von Routinen zum Erstellen und
Bearbeiten von Grafiken im PNG-Format. Das PNG-Format wurde als Ersatz
für GIF entwickelt und enthält viele Verbesserungen und Erweiterungen.

%description -l es.UTF-8
Esta biblioteca es una colección de rutinas para crear y manipular
archivos gráficos en el formato PNG. Este formato fue proyectado para
substituir el

%description -l fr.UTF-8
La librairie PNG est un ensemble de routines utilisées pour créer et
manipuler des fichiers graphiques au format PNG. Le format PNG a été
élaboré pour remplacer le GIF, avec de nombreuses améliorations et
extensions.

%description -l pl.UTF-8
Biblioteki PNG są kolekcją form używanych do tworzenia i manipulowania
plikami w formacie graficznym PNG. Format ten został stworzony jako
zamiennik dla formatu GIF, z wieloma rozszerzeniami i nowościami.

%description -l pt_BR.UTF-8
Esta biblioteca é uma coleção de rotinas para criar e manipular
arquivos gráficos no formato PNG. Este formato foi projetado para
substituir o formato GIF, com extensões e melhorias.

%description -l tr.UTF-8
PNG kitaplığı, PNG formatındaki resim dosyalarını işlemeye yönelik
yordamları içerir. PNG, GIF formatının yerini almak üzere tasarlanmış
bir resim formatıdır.

%package devel
Summary:	Header files for libpng
Summary(de.UTF-8):	libpng Headers
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas estáticas
Summary(fr.UTF-8):	en-têtes et bibliothèques statiques
Summary(pl.UTF-8):	Pliki nagłówkowe libpng
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas estáticas
Summary(tr.UTF-8):	başlık dosyaları ve statik kitaplıklar
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel
Provides:	libpng(APNG)-devel = 0.10
Conflicts:	libpng < 1.0.15

%description devel
The header files are only needed for development of programs using the
PNG library.

%description devel -l de.UTF-8
Die Header-Dateien werden nur zur Entwicklung von Programmen mit der
PNG-Library benötigt.

%description devel -l es.UTF-8
Archivos de inclusión y bibliotecas estáticas que son necesarios
solamente para el desarrollo de programas que usan la biblioteca PNG.

%description devel -l fr.UTF-8
Fichiers d'en-tete et les librairies qui sont requis seulement pour le
développement avec la librairie PNG.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających bibliotek PNG.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas estáticas que são necessários
somente para o desenvolvimento de programas que usam a biblioteca PNG.

%description devel -l tr.UTF-8
PNG kitaplığını kullanan programlar geliştirmek için gereken
kitaplıklar ve başlık dosyaları.

%package static
Summary:	Static PNG library
Summary(de.UTF-8):	Statisch PNG Library
Summary(pl.UTF-8):	Biblioteka statyczna PNG
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libpng
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libpng(APNG)-static = 0.10

%description static
Static PNG library.

%description static -l de.UTF-8
Statisch PNG Library.

%description static -l pl.UTF-8
Biblioteka statyczna PNG.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libpng.

%package progs
Summary:	libpng utility programs
Summary(pl.UTF-8):	Narzędzia do plików PNG
Group:		Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
This package contains utility programs to convert PNG files to and
from PNM files.

%description progs -l pl.UTF-8
Narzędzia do konwersji plików PNG z lub do plików PNM.

%prep
%setup -q -n libpng-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure
%{__make}

%{__make} -C contrib/pngminus -f makefile.std \
	LIBPATH=%{_libdir} \
	CC="%{__cc}" \
	OPT_FLAGS="%{rpmcppflags} %{rpmcflags}"

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install contrib/pngminus/{png2pnm,pnm2png} $RPM_BUILD_ROOT%{_bindir}
install example.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{without default_libpng}
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{libpng-config,pn?2pn?} \
	$RPM_BUILD_ROOT%{_libdir}/libpng.{so,la,a} \
	$RPM_BUILD_ROOT%{_includedir}/png*.h \
	$RPM_BUILD_ROOT%{_pkgconfigdir}/libpng.pc \
	$RPM_BUILD_ROOT%{_mandir}/man[35]/*png*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES LICENSE README TODO
%attr(755,root,root) %{_libdir}/libpng15.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpng15.so.15

%files devel
%defattr(644,root,root,755)
%doc libpng-manual.txt
%attr(755,root,root) %{_bindir}/libpng15-config
%attr(755,root,root) %{_libdir}/libpng15.so
%{_libdir}/libpng15.la
%{_includedir}/libpng15
%{_pkgconfigdir}/libpng15.pc
%{_examplesdir}/%{name}-%{version}
%if %{with default_libpng}
%attr(755,root,root) %{_bindir}/libpng-config
%attr(755,root,root) %{_libdir}/libpng.so
%{_libdir}/libpng.la
%{_pkgconfigdir}/libpng.pc
%{_includedir}/png*.h
%{_mandir}/man3/libpng.3*
%{_mandir}/man3/libpngpf.3*
%{_mandir}/man5/png.5*
%endif

%files static
%defattr(644,root,root,755)
%{_libdir}/libpng15.a
%if %{with default_libpng}
%{_libdir}/libpng.a
%endif

%if %{with default_libpng}
%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/png2pnm
%attr(755,root,root) %{_bindir}/pnm2png
%endif
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpng15.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d547134
- libpng 1.5 as libpng15

* Thu Apr 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 2a00838
- updated to 1.5.15

* Thu Jan 31 2013 Adam Gołębiowski <adamg@pld-linux.org> 06981e9
- updated to 1.5.14
- apng patch update dto 1.5.14
- apng-fix patch no longer needed

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 1b59bf6
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sat Sep 29 2012 Adam Gołębiowski <adamg@pld-linux.org> fe9e717
- updated to 1.5.13

* Tue Sep 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 0f83ee5
- updated to 1.5.12
- updated apng-fix patch

* Tue Apr 24 2012 Kacper Kornet <draenog@pld-linux.org> 5b19651
- up to 1.5.10 (fixes CVE-2011-3048)

* Sun Feb 19 2012 Adam Gołębiowski <adamg@pld-linux.org> 6a86235
- updated to 1.5.9 (solves CVE-2011-3026)

* Tue Feb 07 2012 Adam Gołębiowski <adamg@pld-linux.org> 73552e1
- updated to 1.5.8 (fixes CVE-2011-3464)

* Tue Dec 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 8a4e3b5
- updated to 1.5.7 (latest stable release)
  note: new soname; libpng left on LIBPNG_1_4 branch (as default libpng) or in libpng14.spec (as non-default)
- updated pngminus patch
- apng patch updated from libpng-apng project
- added apng-fix patch to avoid make check failure

* Wed Jul 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 1a66ca8
- updated to 1.4.8

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> bb2266b
- updated to 1.4.7
- updated apng patch

* Fri Dec 10 2010 lisu <lisu@pld-linux.org> 7d2bdb5
- restore xz BR

* Fri Dec 10 2010 lisu <lisu@pld-linux.org> c64766d
- up to 1.4.5
- simple %%prep, drop BR: xz

* Thu Sep 23 2010 lisu <lisu@pld-linux.org> bf9f1b2
- updated to 1.4.4

* Tue Jun 29 2010 Karol Krenski <charles@pld-linux.org> 1c30fd2
- up to 1.4.3
  [fixes  CVE-2010-1205]

* Wed Jun 02 2010 sparky <sparky@pld-linux.org> 785c54d
- added tar BR

* Sat May 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 18a54be
- updated to 1.4.2
- dropped outdated read-dither patch (reenabled upstream, but now under quantize name)

* Mon Mar 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9089cb0
- up to 1.4.1

* Fri Feb 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b500a8
- run test suite

